DiseaseRollerHealerRegister = {}
DiseaseRollerHealerRegister.modDir = g_currentModDirectory

g_specializationManager:addSpecialization(
    "diseaseRollerHealer",
    "DiseaseRollerHealer",
    Utils.getFilename("scripts/specializations/DiseaseRollerHealer.lua", DiseaseRollerHealerRegister.modDir),
    nil
)

local function inject()
    local typesTbl = g_vehicleTypeManager and g_vehicleTypeManager.types or {}

    for typeName, vType in pairs(typesTbl) do
        local specs = vType.specializations or {}
        if SpecializationUtil.hasSpecialization(Roller, specs) and not SpecializationUtil.hasSpecialization(DiseaseRollerHealer, specs) then
            g_vehicleTypeManager:addSpecialization(typeName, "diseaseRollerHealer")
        end
    end
end

inject()
